%define url ftp://ftp.xbill.org/pub/sftp

Summary:	A ftp-replacement over an rsh/ssh tunnel
Name:		sftp
Version:	0.9.6
Release:	3mdk
License:	GPL
Group:		Networking/Remote access

Source:		%{url}/%{name}-%{version}.tar.bz2
Patch:		sftp-0.9.6-withreadline.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url:		http://www.xbill.org/sftp
Requires:	openssh-clients
BuildRequires:	readline-devel

%description
sftp is an ftp replacement that runs over an ssh tunnel. Two programs
are included - sftp and sftpserv. When sftp is run and a host is
connected to (either by running 'sftp remotehost' or 'open remotehost'
from the sftp prompt), an ssh connection is initiated to the remote
host, and sftpserv is run.

From within sftp, all of the normal ftp commands are present: open,
close, get, put, pwd, cd, ls, lcd, quit, etc. There's also exec, which runs
a program on the remote end.

%prep
%setup -q
%patch -p1

%build
%configure
%make

%install
rm -rf %buildroot
%makeinstall
ln -sf sftp %buildroot%{_bindir}/rsftp

%files
%defattr(-,root,root)
%doc README Changelog
%attr(755,root,root) %{_bindir}/*
%attr(644,root,root) %{_mandir}/man1/*

%clean
rm -rf %buildroot 

# end of file

%changelog
* Wed Jan 10 2001 David BAUDENS <baudens@mandrakesoft.com> 0.9.6-3mdk
- BuildRequires: readline-devel

* Mon Dec  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.6-2mdk
- Requires: openssh-clients.

* Sun Sep 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.6-1mdk
- 0.9.6.

* Fri Sep 22 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 0.7-4mdk
- Rebuild to have doc in /usr/share/doc
- A quiet setup

* Tue Apr 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7-3mdk
- Make sure to compile with libreadline.
- Adjust groups.

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7-2mdk
- Mandrake adaptations and some spec clean-up.

* Tue Jan 11 2000 Brian Wellington <bwelling@xbill.org>
- updated to 0.7

* Wed Dec 28 1999 Brian Wellington <bwelling@xbill.org>
- updated to 0.6

* Sun Dec 26 1999 Brian Wellington <bwelling@xbill.org>
- updated to 0.5

* Fri Nov 26 1999 Chris Green <sprout@dok.org>
- updated to 0.4

* Mon Nov 22 1999 Chris Green <sprout@dok.org>
- created spec
